#!/bin/sh

test_description="Check KEM certificates generation"
. $SHARNESS_TEST_SRCDIR/sharness.sh

echo "mceliece6960119-x25519
sntrup761-x25519" | while read algo ; do

test_expect_success "$algo: generation" "
    cmkeytool -algo $algo -ku kem -sub CN=DH 5>kem.$algo.pub 9>kem.$algo.prv"

done

test_done
